Package org.eclipse.net4j.util.om.log

## Class PrintLogHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.log.AbstractLogHandler
  - - org.eclipse.net4j.util.om.log.PrintLogHandler

- All Implemented Interfaces:
    `OMLogHandler`

      public class PrintLogHandler
      extends AbstractLogHandler

  A `log handler` that appends log events to `error` and `output` streams.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PrintLogHandler` | `CONSOLE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PrintLogHandler()` |
    `` | `PrintLogHandler​(java.io.PrintStream out, java.io.PrintStream err)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.PrintStream` | `getErr()` |
    `java.io.PrintStream` | `getOut()` |
    `protected void` | `writeLog​(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` |

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.AbstractLogHandler

      `getLogLevel, logged, setLogLevel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final PrintLogHandler CONSOLE

  - ### Constructor Detail

    - #### PrintLogHandler

          public PrintLogHandler​(java.io.PrintStream out,
                                 java.io.PrintStream err)

    - #### PrintLogHandler

          protected PrintLogHandler()

  - ### Method Detail

    - #### getOut

          public java.io.PrintStream getOut()

      Since:
        3.2

    - #### getErr

          public java.io.PrintStream getErr()

      Since:
        3.2

    - #### writeLog

          protected void writeLog​(OMLogger logger,
                                  OMLogger.Level level,
                                  java.lang.String msg,
                                  java.lang.Throwable t)
                           throws java.lang.Throwable

      Specified by:
        `writeLog` in class `AbstractLogHandler`
      Throws:
        `java.lang.Throwable`